View Issue Details

IDProjectCategoryView StatusLast Update
0000606PluginsMultiArc (old)public2008-09-09 01:27
ReportertheultramageAssigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version1.80 
Target VersionFixed in Version1.71 
Summary0000606: fail to open RAR archive that uses 'encrypt file names' option
DescriptionWhen trying to enter a RAR archive that has the 'encrypt file names' option enabled (for added security), FAR will error out with 'Unexpected end of archive' instead of prompting for a password.
TagsNo tags attached.

Activities

DrKnS

2008-09-08 16:23

administrator   bugnote:0001821

Arc.Support.txt:

To get a listing from RAR archives with an encrypted header the
UnRAR.dll is used (if the library is found in the path). Because of
limitations of the UnRAR library the last access and modification
dates will be empty.

theultramage

2008-09-08 17:01

reporter   bugnote:0001822

Ahh! Yes, that's true - if unrar.dll is available FAR will prompt for the password!

So the fix to this problem would just be:
Instead of saying "unexpected end of archive", say "unrar.dll required"?

DrKnS

2008-09-09 01:27

administrator   bugnote:0001823

> Instead of saying "unexpected end of archive", say "unrar.dll required"?

rar.fmt v1.27

Issue History

Date Modified Username Field Change
2008-09-08 12:27 theultramage New Issue
2008-09-08 16:23 DrKnS Note Added: 0001821
2008-09-08 17:01 theultramage Note Added: 0001822
2008-09-09 01:27 DrKnS Status new => closed
2008-09-09 01:27 DrKnS Note Added: 0001823
2008-09-09 01:27 DrKnS Resolution open => fixed
2008-09-09 01:27 DrKnS Fixed in Version => 1.71
2013-05-21 00:38 alexy Category MultiArc => MultiArc (old)